Reverse lookup of an Ethereum address to a primary name
Performs a reverse lookup of an Ethereum address to a primary name.
Data sources for the primary name lookup include:
- The Ethereum Provider configured in the NameGuard instance.
- For ENS names using CCIP-Read: requests to externally defined gateway servers.
Returns display_name to be shown to users and estimates impersonation_estimate.
If address has a primary name and return_nameguard_report is True, then NameGuard will return a SecurePrimaryNameResult including a NameGuardReport for the primary name. Else, NameGuard will return None as nameguard_report.
Documentation Index
Fetch the complete documentation index at: https://docs.namekit.io/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
mainnet, sepolia Query Parameters
Response
Successful Response
Reverse lookup result.
The status of a secure primary ENS name lookup performed by NameGuard.
normalized: The ENS primary name was found and it is normalized.no_primary_name: The ENS primary name was not found.unnormalized: The ENS primary name was found, but it is not normalized.uninspected: The name was exceptionally long and was not inspected for performance reasons.
normalized, no_primary_name, unnormalized, uninspected Impersonation estimate of the primary_name.
nullifprimary_nameisnull
unlikely, potential Primary ENS name for the Ethereum address.
nullifprimary_name_statusis any value exceptnormalized
"vitalik.eth"
ENS beautified version of primary_name.
- if
primary_nameisnullthen provides a fallbackdisplay_nameof "Unnamed [first four hex digits of Ethereum address]", e.g. "Unnamed c2a6"
"vitalik.eth"
NameGuard report for the primary_name.
- if
addresshas a primary name andreturn_nameguard_reportisTrue, then return aNameGuardReportfor the primary name. Else, NameGuard will returnnull